Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 7188)
+++ trunk/MagicSoft/Mars/Changelog	(revision 7189)
@@ -20,4 +20,13 @@
 
                                                  -*-*- END OF LINE -*-*-
+ 2005/07/14 Thomas Bretz
+
+   * mbadpixels/MBadPixelCam.[h,cc]:
+     - added new function GetNumSuitable
+
+   * mcalib/MCalibrationChargeCalc.cc:
+      simplified FinalizeUnsuitablePixels()
+
+
 
  2005/07/13 Abelardo Moralejo (2005/07/12)
@@ -64,4 +73,13 @@
        also absolute calibration (=SIZE in phes) is made.
 
+  * mcalib/MCalibrateData.cc
+    - In PreProcess, changed initialization of fRenormFactor. Formerly 
+      it was fixed to MCalibrationQEPix::gkDefaultAverageQE. Now we check
+      first if there is a valid average QE for inner pixels in 
+      MCalibrationQECam, and if so, we inititalize fRenormFactor with it. 
+      Else, the default gkDefaultAverageQE is taken. fRenormFactor is
+      used to convert back from photons to "equivalent inner pixel phes"
+      in the (now default) case of calibrating in phes.
+
 
 
@@ -287,4 +305,31 @@
      - check for existence of pointer fRawEvt in PostProcess.
 
+   * mcalib/MCalibrationChargeCalc.[h,cc]
+     - implement possibility to set reference number of photo-electrons from 
+       outside (stored in fExternalNumPhes).
+
+   * mcalib/MCalibrateData.[h,cc], mcalib/MCalibCalcFromPast.cc, 
+     mjobs/MJCalibrateSignal.cc:
+     - write calibration constants now in separate 
+       MCalibrationIntensityConstCam. This is necessary since with the 
+       introduction of the averageing of mean photo-electrons, the 
+       MCalibrationIntensityChargeCam does not hold the correct conv. 
+       factors any more. 
+
+   * mcalib/MCalibrateData.[h,cc]
+     - get also pointers to the IntensityCams and use them if exist 
+       (previously, only the first calibration cam was used together 
+       with the updatecam.)
+
+
+
+ 2005/07/13 Markus Gaug (2005/06/17)
+
+   * mcalib/MCalibrationIntensityCam.[h,cc]
+     - take out some un-used or commented code (variables fOffsets and
+       fSlopes). These data members were not in the streamter either.
+     - put some of the most-used code from the .cc file into the .h file
+     - add new function: SetCam().
+
 
 
@@ -305,4 +350,17 @@
      - In CalibrateData, the sigma is used for the statistical error of the
        converted signal to equiv. high-gain charges.
+
+   * mcalib/MCalibCalcFromPast.[h,cc]
+     - implement the mean photo-electron averageing for a desired number of 
+       calibration updates.
+
+   * mcalib/MCalibrateData.cc
+     - use MCalibrationChargePix::GetConversionHiLoSigma() to calculate the
+       error (was previously MCalibrationChargePix::GetConversionHiLoErr(). 
+
+  * callisto.cc
+    - calculate first fixed window pedestal in MJPedestalY2, 
+      then sliding window pedestal in MJPedestalY3 (order reversed).
+
 
 
@@ -347,4 +405,24 @@
       now, depending on the study, one wants to make.
 
+  * mcalib/MCalibrationChargeCalc.[h,cc]
+    - set a limit to the number of un-suitable and un-reliables pixels
+      for the run to succeed: 0.1 unsuitables and 0.3 un-reliables
+    - set UseExtractorRes to kTRUE, will raise the number of 
+      photo-electrons for the spline extractor by 1-2% (correctly).
+    - re-normalize the pedestal RMS of the event-by-event averaged 
+      area events to the sqrt of the number of used pixels.
+    - re-normalize the sigma of the event-by-event averaged area events
+      by 1/F-Factor.
+    - introduce switch to choose if un-reliables should be used for the
+      calculation of mean number of phes (default: kTRUE).
+    - print out the number of high-gain saturated pixels.
+
+
+
+ 2005/07/13 Markus Gaug (2005/06/10) 
+
+  * mjobs/MJCalibrateSignal.[h,cc]
+    - skip also the PIN Diode events from the data calibration.
+
 
 
@@ -357,4 +435,17 @@
      - introduce flags to steer the setting of unreliability like done 
        in MCalibrationChargeCalc. Can be steered from the conf-file.
+
+   * mbadpixels/MBadPixelsIntensityCam.[h,cc]
+     - implement two Get and Draw-functions to display bad pixels over 
+       time like in the mcalib/MCalibrationIntensityChargeCam
+
+
+
+ 2005/07/13 Markus Gaug (2005/06/03) 
+
+   * mhcalib/MHCalibrationPulseTimeCam.cc
+     -  fill arrays only if IsOscillations() was asked. This is a speed 
+        bug and could cause important memory leaks. It does not affect the 
+        outcome of an analysis, however.
 
 
